# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name vector

%global common_summary Efficient Arrays

%global common_description An efficient implementation of Int-indexed arrays (both mutable and\
immutable), with a powerful loop fusion optimization framework.

Name:           ghc-%{pkg_name}
Version:        0.7.1
Release:        5%{?dist}
Summary:        %{common_summary}

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
Patch1:         vector-debian-no_ann_without_ghci.patch

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-primitive-devel
# End cabal-rpm deps

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}
# Monad.hs fails on ppc too
%ifnarch %(echo %{ghc_arches_with_ghci} | sed -e s/ppc//)
%patch1 -p1 -b .orig
%endif


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Fri Jan  4 2013 Jens Petersen <petersen@redhat.com> - 0.7.1-5
- update the annotation patch for 0.7.1
- also skip the annotation for ppc

* Thu Dec  6 2012 Jens Petersen <petersen@redhat.com> - 0.7.1-4
- correct the annotation patch to not use DEBIAN_NO_GHCI

* Thu Dec  6 2012 Jens Petersen <petersen@redhat.com> - 0.7.1-3
- skip Data.Vector.Fusion.Stream.Monadic annotation on archs without ghci
- update with cabal-rpm

* Tue Sep 13 2011 Jens Petersen <petersen@redhat.com> - 0.7.1-2
- rebuild against newer ghc-rpm-macros

* Thu Sep  8 2011 Jens Petersen <petersen@redhat.com> - 0.7.1-1
- BSD license

* Thu Sep  8 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.7.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
